From: Sami Kerola <kerolasa@iki.fi>
To: util-linux@vger.kernel.org
Cc: kerolasa@iki.fi
Subject: [PATCH 6/7] tests: check kill print pid option
Date: Sat, 12 Apr 2014 11:28:43 +0100 [thread overview]
Message-ID: <1397298524-3364-7-git-send-email-kerolasa@iki.fi> (raw)
In-Reply-To: <1397298524-3364-1-git-send-email-kerolasa@iki.fi>
Signed-off-by: Sami Kerola <kerolasa@iki.fi>
---
tests/expected/kill/print_pid | 1 +
tests/ts/kill/print_pid | 56 +++++++++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
create mode 100644 tests/expected/kill/print_pid
create mode 100755 tests/ts/kill/print_pid
diff --git a/tests/expected/kill/print_pid b/tests/expected/kill/print_pid
new file mode 100644
index 0000000..d48ce72
--- /dev/null
+++ b/tests/expected/kill/print_pid
@@ -0,0 +1 @@
+all ok
diff --git a/tests/ts/kill/print_pid b/tests/ts/kill/print_pid
new file mode 100755
index 0000000..c2a1ec4
--- /dev/null
+++ b/tests/ts/kill/print_pid
@@ -0,0 +1,56 @@
+#!/bin/bash
+
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+TS_TOPDIR="${0%/*}/../.."
+TS_DESC="print_pid"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+ts_check_test_command "$TS_CMD_KILL"
+ts_check_test_command "$TS_CMD_FLOCK"
+all_ok=true
+
+# parallel kill checks could kill wrong sigreceiver
+exec 42<$TS_HELPER_SIGRECEIVE
+$TS_CMD_FLOCK 42
+
+$TS_HELPER_SIGRECEIVE &
+TEST_PID=$(jobs -p)
+# test_sigreceive needs time to start up
+sleep 0.01
+KILL_PID=$($TS_CMD_KILL -p ${TS_HELPER_SIGRECEIVE##*/} 2>> $TS_OUTPUT)
+if [ $? -ne 0 ]; then
+ echo "kill -p did not work" >> $TS_OUTPUT
+ all_ok=false
+fi
+if [ "x$TEST_PID" != "x$KILL_PID" ]; then
+ echo "jobs -p $TEST_PID != kill -p $KILL_PID" >> $TS_OUTPUT
+ all_ok=false
+else
+ $TS_CMD_KILL -1 $TEST_PID
+ wait $TEST_PID
+ if [ $? -ne 1 ]; then
+ echo "wait $TEST_PID for $@ did not work" >> $TS_OUTPUT
+ all_ok=false
+ fi
+fi
+
+$TS_CMD_FLOCK -u 42
+
+if $all_ok; then
+ echo 'all ok' >> $TS_OUTPUT
+fi
+
+ts_finalize
--
1.9.2
next prev parent reply other threads:[~2014-04-12 10:29 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-04-12 10:28 [PATCH 0/7] kill: add regression tests Sami Kerola
2014-04-12 10:28 ` [PATCH 1/7] kill: make options --pid and --queue mutually exclusive Sami Kerola
2014-04-12 15:57 ` Bernhard Voelker
2014-04-12 16:35 ` Sami Kerola
2014-04-12 10:28 ` [PATCH 2/7] kill: remove unnecessary indirection Sami Kerola
2014-04-12 10:28 ` [PATCH 3/7] tests: add signal receiver program Sami Kerola
2014-04-12 10:28 ` [PATCH 4/7] tests: check kill is converting signals names correctly Sami Kerola
2014-04-13 22:22 ` Bernhard Voelker
2014-04-14 7:42 ` Sami Kerola
2014-04-14 15:13 ` Sami Kerola
2014-04-14 16:14 ` Bernhard Voelker
2014-04-14 19:00 ` Sami Kerola
2014-04-15 9:09 ` Bernhard Voelker
2014-04-15 11:08 ` Sami Kerola
2014-04-12 10:28 ` [PATCH 5/7] tests: check various ways to specify kill signal Sami Kerola
2014-04-12 10:28 ` Sami Kerola [this message]
2014-04-12 10:28 ` [PATCH 7/7] tests: check kill all user processes Sami Kerola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1397298524-3364-7-git-send-email-kerolasa@iki.fi \
--to=kerolasa@iki.fi \
--cc=util-linux@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox